<!DOCTYPE html>
<html lang="it">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>CSS Grid</title>
    <link rel="stylesheet" href="css/style.css">
    <style>
        body{
            display: flex;
            display: grid;
            grid-template-columns: auto auto auto;
            grid-template-areas: "logo . item"
                                 "aside . main"
                                 ". footer ."
        }
        .nav-list{
            grid-area: item;
        }
        .nav-item logo{
            grid-area: logo;
        }
        main{
            grid-area: main;
        }
        aside
        {
            grid-area: aside;
        }
        footer
        {
            grid-area: footer;
        }
    </style>    
</head>

<body>
    <header>
        <ul class="nav-list">
            <li class="nav-item logo"><a href="#">LOGO</a></li>
            <li class="nav-item"><a href="#">Voce 1</a></li>
            <li class="nav-item"><a href="#">Voce 2</a></li>
            <li class="nav-item"><a href="#">Voce 3</a></li>
        </ul>
    </header>
    <aside>
        <p>Aside 1</p>
        <p>Aside 2</p>
    </aside>
    <main>
        <h1>Esercizio CSS Grid</h1>
        <p>con flex</p>
    </main>
    <footer>
        <ul class="footer nav-list">
            <li class="nav-item"><a href="#">Footer 1</a></li>
            <li class="nav-item"><a href="#">Footer 2</a></li>
        </ul>
    </footer>
</body>

</html>